Updates the db_info_data object with the specified key ///

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

db_info_data
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
target_id

Foreign key of the object using his Odyssee Guid Primary Key

globally unique identifier

Optionally required : target_id or target_code must be provided

target_code

Foreign key of the object using ERP PK when adding/updating db_info_data

string

Optionally required : target_id or target_code must be provided

db_table_id

Foreign key to the table that own the "target_id" (Example:article,company,project) using Guid

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

db_table_name

Foreign key to the table that own the "target_id" (Example:article,company,project) using table name

string

Optionally required : db_table_id or db_table_name must be provided

db_info_field_id

globally unique identifier

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field_name

string

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field

db_info_field

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

value

The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields)

string

Required

reference_back_office

The Id/Ref of the back office for this object

string

Max length: 50

sys_logical_delete

sys_logical_delete

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "90771e6b-87cf-4292-8e60-ddd3ee9951ef",
  "target_id": "58be7c02-a9d9-47e5-a0bf-4475116e5587",
  "target_code": "sample string 3",
  "db_table_id": "18222545-2ac2-460d-8e92-9456cc9f8ee7",
  "db_table_name": "sample string 5",
  "db_info_field_id": "b46be48c-797f-4400-b71b-85035d5bdc63",
  "db_info_field_name": "sample string 7",
  "value": "sample string 8",
  "reference_back_office": "sample string 9",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-04-21T08:27:11.6253229+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.